import { ChangeDetectorRef, DoCheck, ElementRef, OnDestroy, TemplateRef } from '@angular/core';
import { IgxColumnResizingService } from '../resizing/resizing.service';
import { Subject } from 'rxjs';
import { ColumnType, GridType } from '../common/grid.interface';
import { SortingDirection } from '../../data-operations/sorting-strategy';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class IgxGridHeaderComponent implements DoCheck, OnDestroy {
    grid: GridType;
    colResizingService: IgxColumnResizingService;
    cdr: ChangeDetectorRef;
    private ref;
    column: ColumnType;
    /**
     * @hidden
     */
    protected defaultESFHeaderIconTemplate: TemplateRef<any>;
    /**
     * @hidden
     */
    protected defaultSortHeaderIconTemplate: any;
    /**
     * @hidden
     */
    protected sortIconContainer: ElementRef;
    /**
     * Returns the `aria-selected` of the header.
     */
    get ariaSelected(): boolean;
    get columnGroupStyle(): boolean;
    get sortAscendingStyle(): boolean;
    get sortDescendingStyle(): boolean;
    get numberStyle(): boolean;
    get sortableStyle(): boolean;
    get selectableStyle(): boolean;
    get filterableStyle(): any;
    get sortedStyle(): boolean;
    get selectedStyle(): boolean;
    get height(): number;
    /**
     * @hidden
     */
    get esfIconTemplate(): TemplateRef<any>;
    /**
     * @hidden
     */
    get sortIconTemplate(): any;
    /**
     * @hidden
     */
    get disabled(): boolean;
    get sorted(): boolean;
    get filterIconClassName(): "igx-excel-filter__icon--filtered" | "igx-excel-filter__icon";
    get selectable(): boolean;
    get selected(): boolean;
    get title(): string;
    get nativeElement(): HTMLElement;
    sortDirection: SortingDirection;
    protected _destroy$: Subject<boolean>;
    constructor(grid: GridType, colResizingService: IgxColumnResizingService, cdr: ChangeDetectorRef, ref: ElementRef<HTMLElement>);
    onClick(event: MouseEvent): void;
    /**
     * @hidden
     */
    onPinterEnter(): void;
    /**
     * @hidden
     */
    onPointerLeave(): void;
    /**
     * @hidden @internal
     */
    ngDoCheck(): void;
    /**
     * @hidden @internal
     */
    ngOnDestroy(): void;
    /**
     * @hidden @internal
     */
    onPointerDownIndicator(event: any): void;
    /**
     * @hidden @internal
     */
    onFilteringIconClick(event: any): void;
    /**
     * @hidden @internal
     */
    onSortingIconClick(event: any): void;
    protected getSortDirection(): void;
    protected isAdvancedFilterApplied(): boolean;
    private triggerSort;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxGridHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgxGridHeaderComponent, "igx-grid-header", never, { "column": { "alias": "column"; "required": false; }; }, {}, never, never, true, never>;
}
