import { IgxTheme } from "../services/theme/theme.service";
export type IconThemeKey = IgxTheme | 'default';
export type IconReferencePair = {
    alias: IconMeta;
    target: IconMeta;
    overwrite: boolean;
};
export type IconType = "svg" | "font" | "liga";
export type IconReference = IconMeta & FamilyMeta;
export type MetaReference = {
    alias: IconMeta;
    target: Map<IconThemeKey, IconMeta>;
};
export interface IconMeta {
    name: string;
    family: string;
    type?: IconType;
}
export interface FamilyMeta {
    className: string;
    type: IconType;
    prefix?: string;
}
export interface IconFamily {
    name: string;
    meta: FamilyMeta;
}
