import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Defines the custom template that will be used for the search value input of condition in edit mode
 *
 * @igxModule IgxQueryBuilderModule
 * @igxKeywords query builder, query builder search value
 * @igxGroup Data entry and display
 *
 * @example
 * <igx-query-builder>
 *      <ng-template igxQueryBuilderSearchValue let-expression="expression">
 *          <input type="text" required [(ngModel)]="expression.searchVal"/>
 *      </ng-template>
 *  </igx-query-builder>
 */
export declare class IgxQueryBuilderSearchValueTemplateDirective {
    template: TemplateRef<any>;
    constructor(template: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxQueryBuilderSearchValueTemplateDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgxQueryBuilderSearchValueTemplateDirective, "[igxQueryBuilderSearchValue]", never, {}, {}, never, never, true, never>;
}
