"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serviceContainer = exports.ProjectServiceContainer = void 0;
const tsUtils_1 = require("./tsUtils");
const ServerHost_1 = require("./ServerHost");
class ProjectServiceContainer {
    constructor() {
        /** Indicates additional config adjustments after init have been made */
        this.configured = false;
    }
    get serverHost() {
        if (!this._serverHost) {
            this._serverHost = new ServerHost_1.ServerHost(null);
        }
        return this._serverHost;
    }
    get projectService() {
        if (!this._projectService) {
            this._projectService = (0, tsUtils_1.createProjectService)(this.serverHost);
        }
        return this._projectService;
    }
}
exports.ProjectServiceContainer = ProjectServiceContainer;
exports.serviceContainer = new ProjectServiceContainer();
